namespace CMSMicroservice.Application.ProductGalleriesCQ.Queries.GetProductGalleries;
public class GetProductGallerysQueryValidator : AbstractValidator<GetProductGalleriesQuery>
{
    public GetProductGallerysQueryValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetProductGalleriesQuery>.CreateWithOptions((GetProductGalleriesQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
